<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$usuario_usu_id = $_POST['usu'];

// Verificar si el usuario ya está registrado
$usua_check = mysqli_query($con, "SELECT COUNT(*) as usuario_count FROM zhop_reserva_usuario WHERE usuario_usu_id = '$usuario_usu_id' AND sucursal = '$sucursal' AND empresa = '$empresa'") or die(mysqli_error($con));
$check = mysqli_fetch_array($usua_check);

if ($check['usuario_count'] > 0) {
    // Si ya está registrado, mostrar mensaje de error
    echo '<div class="alert alert-danger alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Usuario ya esta Registrado.</strong>
        </div>';
} else {
    // Si no está registrado, continuar con el proceso
    $horas = mysqli_query($con, "SELECT * FROM zhop_reserva_horas WHERE res_horas_sucursal = '$sucursal' AND res_horas_empresa = '$empresa'") or die(mysqli_error($con));
    $num = mysqli_num_rows($horas);

    if ($num <= 0) {
        echo '<div class="alert alert-warning alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Debes Agregar tus Horarios.</strong>
            </div>';
    } else {
        while ($hor = mysqli_fetch_array($horas)) {
            $res_horas_id = $hor['res_horas_id'];
            $res_horas_estado = $hor['res_horas_estado'];
            $res_horas = $hor['res_horas'];

            $dias = mysqli_query($con, "SELECT * FROM zhop_reserva_dias WHERE res_dias_sucursal = '$sucursal' AND res_dias_empresa = '$empresa'") or die(mysqli_error($con));
            while ($dia = mysqli_fetch_array($dias)) {
                $res_dias_id = $dia['res_dias_id'];
                $res_dias_estado = $dia['res_dias_estado'];

                $usua = mysqli_query($con, "SELECT MAX(res_usu_id) as res_usu_id FROM zhop_reserva_usuario WHERE sucursal = '$sucursal' AND empresa = '$empresa'") or die(mysqli_error($con));
                $usu = mysqli_fetch_array($usua);
                $res_usu_id = $usu['res_usu_id'] + 1;

                $sql2 = mysqli_query($con, "INSERT INTO zhop_reserva_usuario (res_usu_id, usuario_usu_id, dias_id, dias_estado, horas, horas_id, horas_estado, res_usu_estado, sucursal, empresa) 
                    VALUES ('$res_usu_id', '$usuario_usu_id', '$res_dias_id', '$res_dias_estado', '$res_horas', '$res_horas_id', '$res_horas_estado', 'activo', '$sucursal', '$empresa')") or die(mysqli_error($con));
            }
        }

        echo '<div id="mydivu" class="alert alert-info alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong> Registrado correctamente.</strong>
        </div>';
    }
}
?>


<script type="text/javascript">setTimeout(function() {
    $('#mydivu').fadeOut('fast');
}, 1000); // <-- time in milliseconds</script>